GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
gtpin::KnobDescriptor Struct Reference
GTPin: Configuration

Knob descriptor: set of immutable Knob properties More...

`#include <gt_knob_defs.h>`

## Data Fields
const char * | name
| Unique identifier of the Knob.
const char * | helpMsg
| Description of the Knob in the help message.
uint32_t | flags
| A combination of KNOB_FLAG properties.
char | symId
| Single-symbol identifier of the Knob in the command line, < or \0 character if such identifier does not exist.
KNOB_TYPE | knobType
| Type of the Knob value(s)

## Detailed Description

Knob descriptor: set of immutable Knob properties

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT